=== debian/changelog ===
gauche (0.9.5-1build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:24:56 +0100

gauche (0.9.5-1) unstable; urgency=medium

  * debian/libgauche-0.9-0.symbols: Update.
  * debian/gauche.install, debian/gauche-dev.install: Update.
  * debian/libgauche-0.9-0.install: Update.
  * debian/gauche-gdbm.install, debian/gauche-zlib.install: Update.
  * debian/control (Build-Depends): Simply, automake.
  * debian/rules (AUTOMAKE, ACLOCAL): Remove.
  (override_dh_auto_install): Fix.
  (override_dh_auto_clean, override_dh_auto_configure): Remove and link
  gc/config.sub, gc/config.guess (Closes: #736228).
  * New upstream release.
  * patches/42_hppa_libatomic_ops.patch: New (Closes: #809043).
  * debian/patches/series: Update.
  * debian/patches/37_ppc64el.patch: Remove.
  * debian/patches/40_mips64el.patch: Remove.
  * debian/patches/41_port_unlock_race.patch: Remove.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 24 Oct 2016 14:38:28 +0900
