=== debian/control ===
Source: gauche
Section: lisp
Priority: optional
Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), autotools-dev, texinfo, libgdbm-dev, autoconf, automake, libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase
Standards-Version: 3.9.6
Homepage: http://practical-scheme.net/gauche/

Package: gauche
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9.1-5)
Replaces: gauche-dev (<= 0.9.1-5)
Recommends: slib
Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
Description: Scheme script engine
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.

Package: libgauche-0.9-0
Section: libs
Architecture: any
Breaks: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
Replaces: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gauche runtime shared library
 Gauche is a Scheme implementation developed to be a handy script
 interpreter.
 .
 This package contains Gauche runtime shared library.

Package: gauche-gdbm
Architecture: any
Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
Description: gdbm binding for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains GDBM binding modules for Gauche.

Package: gauche-zlib
Architecture: any
Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
Breaks: gauche (<= 0.9.1-5), gauche-dev (<= 0.9.1-5)
Replaces: gauche (<= 0.9.1-5)
Description: zlib binding for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains zlib binding modules for Gauche.

Package: gauche-dev
Section: lisp
Architecture: any
Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
Breaks: gauche (<= 0.9.1-5)
Replaces: gauche (<= 0.9.1-5)
Description: Development files for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains development files of Gauche.

Package: gauche-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Reference manual of Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains info documents of the reference manual of Gauche
 (English, Japanese).
