=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#export DH_VERBOSE=1
export DH_OPTIONS
export GZIP=-9 -n

%:
	dh $@ --with quilt

override_dh_auto_clean:
	-dh_auto_clean
	rm -f configure config.sub config.guess
	rm -f gc/config.sub gc/config.guess
	rm -f gc/libatomic_ops/config.sub gc/libatomic_ops/config.guess
	rm -f lib/gauche/config.scm
	rm -f gc/aclocal.m4
	rm -f gc/configure gc/Makefile.in
	rm -f gc/libatomic_ops/configure gc/libatomic_ops/Makefile.in
	rm -f gc/libatomic_ops/src/Makefile.in gc/libatomic_ops/doc/Makefile.in
	rm -f gc/libatomic_ops/tests/Makefile.in gc/libatomic_ops/aclocal.m4
	find . -name "*.sci" | xargs rm -f
	find . -type l -name "*.scm" | xargs rm -f

override_dh_auto_configure:
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	(cd gc; ln -sf /usr/share/misc/config.sub .)
	(cd gc; ln -sf /usr/share/misc/config.guess .)
	(cd gc/libatomic_ops; ln -sf /usr/share/misc/config.sub .)
	(cd gc/libatomic_ops; ln -sf /usr/share/misc/config.guess .)
	autoconf
	(cd gc; autoreconf -I m4)
#	dh_auto_configure -v -- --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread
#
#	  --build=x86_64-linux-gnu 
#	  --libdir=/usr/lib/x86_64-linux-gnu --libexecdir=/usr/lib/x86_64-linux-gnu \
#
	ac_cv_prog_OPENSSL=none ./configure --prefix=/usr \
	  --includedir=/usr/include --mandir=/usr/share/man \
	  --infodir=/usr/share/info --sysconfdir=/etc \
	  --localstatedir=/var \
	  --disable-maintainer-mode --disable-dependency-tracking \
	  --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads \
	  --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp slibcat-in-place install-pkg install-doc
