=== debian/changelog ===
gauche (0.9.6-10build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:41:20 +0100

gauche (0.9.6-10) unstable; urgency=medium

  * debian/patches/45_reproducible_sort_files.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 18 Oct 2018 09:07:27 +0900

gauche (0.9.6-9) unstable; urgency=medium

  * debian/patches/34_alpha_stackbottom.patch: Add again.
  * debian/rules (override_dh_auto_build): Add with --no-parallel.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 16 Oct 2018 17:20:37 +0900

gauche (0.9.6-8) unstable; urgency=medium

  * debian/control (Build-Depends): Add libgdbm-dev version requirement.
  * debian/patches/45_avoid_duplicate_LDFLAGS.patch: Remove.
  * debian/patches/42_cflags_reproducible.patch: More fix.
  * debian/patches/31_ldflags_for_ext.patch: Fix.
  * debian/libgauche-0.9-0.postinst: Remove.
  * debian/libgauche-0.9-0.postrm: Remove.
  * debian/watch: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 15 Oct 2018 15:01:36 +0900

gauche (0.9.6-7) unstable; urgency=medium

  * debian/rules: Use dh_auto_configure.
  * debian/patches/45_avoid_duplicate_LDFLAGS.patch: New.
  * debian/patches/42_cflags_reproducible.patch: Fix.
  * libgauche-0.9-0.symbols: Update for kfreebsd-amd64, x32 and alpha.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 06 Oct 2018 16:42:19 +0900

gauche (0.9.6-6) unstable; urgency=medium

  * debian/patches/44_endian_not_asm_byteorder_h.patch: New.

  * libgauche-0.9-0.symbols: Update for ppc64, ppc64el, s390x, mips,
  armel, mips64el, armhf, hppa, mipsel and ia64 (notyet: alpha, x32).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 17:27:34 +0900

gauche (0.9.6-5) unstable; urgency=medium

  * debian/rules: Add ac_cv_prog_OPENSSL="" to disable openssl.
  * debian/patches/42_hppa_libatomic_ops.patch: Enable again with update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 10:00:04 +0900

gauche (0.9.6-4) unstable; urgency=medium

  * debian/control (Build-Depends): Remove libatomic-ops-dev, use internal
  version instead.  Remove openssl to skip tests in ext/tls which doesn't
  work with newer version, because of deprecated keysize.

  * debian/libgauche-0.9-0.symbols: Update to include AO_* symbols.
  Update for arm64.

  Update patches to include some description.
  * debian/patches/40_tls_test_localhost.patch: Update
  * debian/patches/41_link_libatomic.patch: Update
  * debian/patches/42_cflags_reproducible.patch: Update
  * debian/patches/43_makedoc_gzip_best.patch: Update

  Remove patches for older libgc.
  * debian/patches/17_libgc_thread_local_for_archs.patch: Remove
  * debian/patches/27_libgc_fix__data_start.patch: Remove
  * debian/patches/34_alpha_stackbottom.patch: Remove
  * debian/patches/36_sparc.patch: Remove
  * debian/patches/38_libgc_ppc64el.patch: Remove
  * debian/patches/42_hppa_libatomic_ops.patch: Remove

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 08:31:25 +0900

gauche (0.9.6-3) unstable; urgency=medium

  * debian/control (Standards-Version): Conforms to 4.2.1.
  * debian/patches/41_link_libatomic.patch: Update.
  * debian/patches/43_makedoc_gzip_best.patch: New.
  * debian/rules (GZIP): Remove.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 04 Oct 2018 14:19:37 +0900

gauche (0.9.6-2) unstable; urgency=medium

  * debian/libgauche-0.9-0.symbols: Update for m68k and powerpcspe.
  * debian/patches/39_net_test.patch: Test with localhost.
  * debian/patches/40_tls_test_localhost.patch: New.
  * debian/patches/41_link_libatomic.patch: New.
  * debian/patches/42_cflags_reproducible.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 04 Oct 2018 10:12:32 +0900

gauche (0.9.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Upgrade to 11.
  * debian/control (Standards-Version): Conforms to 4.1.3.
  (Build-Depends): Requiring debhelper >=11, remove quilt, autotools-dev,
  autoconf, and automake.  Require libatomic-ops-dev and openssl.
  (Vcs-*): New.
  (Maintainer): Don't use mailing list (Closes: #899898).
  * debian/patches/*.patch: Update.
  * debian/patches/series: Exclude libgc patches.
  * debian/rules: Use libgc as is.
  * debian/gauche-dev.install: Update.
  * debian/gauche.install: Update.
  * debian/libgauche-0.9-0.install: Update.
  * libgauche-0.9-0.symbols: Update.  Remove reference to libatomic.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 03 Oct 2018 13:31:00 +0900
