=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: gauche
 Section: lisp
 Priority: optional
-Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
-Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), autotools-dev, texinfo, libgdbm-dev, autoconf, automake, libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase
-Standards-Version: 3.9.6
+Maintainer: NIIBE Yutaka <gniibe@fsij.org>
+Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, Jens Thiele <karme@karme.de>
+Build-Depends: debhelper (>= 11), libgdbm-dev (>= 1.18), libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo
+Standards-Version: 4.2.1
 Homepage: http://practical-scheme.net/gauche/
+Vcs-Git: https://salsa.debian.org/debian/gauche.git
+Vcs-Browser: https://salsa.debian.org/debian/gauche
 
 Package: gauche
 Architecture: any
