=== debian/changelog ===
gauche (0.9.10-3) unstable; urgency=medium

  * debian/patches/46_ctermid.patch: New.  Fixes FTBFS for mipsel.
  * debian/patches/47_ctermid_c.patch: New.
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 23 Dec 2020 13:46:09 +0900

gauche (0.9.10-2) unstable; urgency=medium

  * debian/patches/28_test_under_pty.patch: Remove.
  * debian/patches/series: Update.
  * debian/compat: Upgrade to 13.
  * debian/libgauche-0.97-0.symbols: Update.
    (Build-Depends-Package): Add.
  * debian/control (Build-Depends): Require newer debhelper.
    (Standards-Version): Conforms to 4.5.1.
    (Rules-Requires-Root): Add.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 21 Dec 2020 10:47:20 +0900

gauche (0.9.10-1) unstable; urgency=medium

  [ Jens Thiele ]
  * New upstream release

  [ NIIBE Yutaka ]
  * Recover patch files for Debian buildd:
    - debian/patches/28_test_under_pty.patch
    - debian/patches/35_axtls_error.patch
  * debian/patches/02_linking.patch: Update.
  * debian/patches/03_rm_without_xlink.patch: Update.
  * debian/patches/15_ext_termios.patch: Update.
  * debian/patches/20_check_exit_status.patch: Update.
  * debian/patches/23_sh4_requires_mieee.patch: Update.
  * debian/patches/26_no_microversion_in_soname.patch: Update.
  * debian/patches/28_test_under_pty.patch: Update.
  * debian/patches/34_alpha_stackbottom.patch: Update.
  * debian/patches/39_net_test.patch: Update.
  * debian/patches/40_tls_test_localhost.patch: Update.
  * debian/patches/44_endian_not_asm_byteorder_h.patch: Update.
  * debian/libgauche-0.9-0.symbols: Update.
  * debian/control (Package): Rename libgauche-0.9-0 to libgauche-0.97-0,
    following the soname change of upstream.
  * debian/libgauche-0.97-0.symbols: Rename from libgauche-0.9-0.symbols.
  * debian/libgauche-0.97-0.install: Rename from libgauche-0.9-0.install.
  * debian/patches/31_ldflags_for_ext.patch: Add -l@LINKGAUCHE@.
  * debian/gauche-doc.lintian: Remove.
  * debian/patches/series: Don't apply 35_axtls_error.patch, because we
    don't use axTLS now.  Keep the patch, because upstream doesn't remove
    it yet.
  * debian/patches/28_test_under_pty.patch: Rewrite to fix generating
    wrong "aborted" entry (Closes: #957256).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 18 Dec 2020 16:11:10 +0900

gauche (0.9.10~rc1-1) unstable; urgency=medium

  * New upstream release
  * 45_reproducible_sort_files.patch: Remove.
  * 28_test_under_pty.patch: Remove
  * 35_axtls_error.patch: Remove
  * debian/control (Build-Depends): Add openssl and libmbedtls-dev
  * debian/rules: configure --with-tls=mbedtls
  * debian/*install: Update.
  * debian/doc: Update.

 -- Jens Thiele <karme@karme.de>  Thu, 12 Nov 2020 11:27:36 +0100
