=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, Jens Thiele <karme@karme.de>
-Build-Depends: debhelper (>= 11), libgdbm-dev (>= 1.18), libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 13~), libgdbm-dev (>= 1.18), libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo, openssl, libmbedtls-dev
+Standards-Version: 4.5.1
 Homepage: http://practical-scheme.net/gauche/
 Vcs-Git: https://salsa.debian.org/debian/gauche.git
 Vcs-Browser: https://salsa.debian.org/debian/gauche
+Rules-Requires-Root: binary-targets
 
 Package: gauche
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9.1-5)
-Replaces: gauche-dev (<= 0.9.1-5)
 Recommends: slib
 Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
 Description: Scheme script engine
@@ -23,11 +22,9 @@
  built-in system interface, native multilingual support are some of
  the author's goals.
 
-Package: libgauche-0.9-0
+Package: libgauche-0.97-0
 Section: libs
 Architecture: any
-Breaks: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
-Replaces: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Gauche runtime shared library
  Gauche is a Scheme implementation developed to be a handy script
@@ -37,7 +34,7 @@
 
 Package: gauche-gdbm
 Architecture: any
-Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
+Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: gdbm binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -49,9 +46,7 @@
 
 Package: gauche-zlib
 Architecture: any
-Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9.1-5), gauche-dev (<= 0.9.1-5)
-Replaces: gauche (<= 0.9.1-5)
+Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: zlib binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -62,11 +57,8 @@
  This package contains zlib binding modules for Gauche.
 
 Package: gauche-dev
-Section: lisp
 Architecture: any
-Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9.1-5)
-Replaces: gauche (<= 0.9.1-5)
+Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Development files for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
