=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=\$${prefix}/lib --libexecdir=\$${prefix}/lib \
 	  --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads \
-	  --with-libatomic-ops=no --with-slib=/usr/share/slib \
-	  ac_cv_prog_OPENSSL="" EXTRA_TEST_LIBS=-lpthread
+	  --with-libatomic-ops=no --with-slib=/usr/share/slib --with-tls=mbedtls \
+	  EXTRA_TEST_LIBS=-lpthread
 
 override_dh_auto_build:
 	dh_auto_build -O--no-parallel
