=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://sf.net/gauche/Gauche-([\d\.]*)\.tgz debian uupdate
