## gauche 0.9.15-p2%2B20241205

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, Jens Thiele <karme@karme.de>
-Build-Depends: debhelper (>= 13~), libgdbm-dev (>= 1.18), libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo, openssl, libmbedtls-dev
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13~), libgdbm-dev (>= 1.18),
+	libtool, pkgconf, zlib1g-dev, netbase, texinfo,
+	openssl, libmbedtls-dev, debhelper-compat (= 13)
 Standards-Version: 4.5.1
 Homepage: http://practical-scheme.net/gauche/
 Vcs-Git: https://salsa.debian.org/debian/gauche.git
@@ -22,7 +24,7 @@
  built-in system interface, native multilingual support are some of
  the author's goals.
 
-Package: libgauche-0.97-0
+Package: libgauche-0.98-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -58,7 +60,7 @@
 
 Package: gauche-dev
 Architecture: any
-Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmbedtls-dev
 Description: Development files for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
