## gauche 0.9.15-p2+20241205

=== debian/changelog ===
gauche (0.9.15-p2+20241205-4) unstable; urgency=medium

  * debian/patches/61_not_test_net_with_user42: Rename.
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 24 Dec 2024 11:43:31 +0900

gauche (0.9.15-p2+20241205-3) unstable; urgency=medium

  * debian/patches/61_test_net_only_with_localhost: New.
    (Closes: #1091021)
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 23 Dec 2024 11:37:35 +0900

gauche (0.9.15-p2+20241205-2) unstable; urgency=medium

  * debian/control (Build-Depends): Remove slib.
  * debian/gauche.install: Update for slibcat removal.
  * debian/patches/60_no_slibcat: New.
  * debian/patches/series: Update.
  * debian/NEWS: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 17 Dec 2024 14:20:01 +0900

gauche (0.9.15-p2+20241205-1) unstable; urgency=medium

  [ Jens Thiele ]
  * New upstream release.
  * debian/patches/series: Update.
  * debian/gauche.install: Update.
  * debian/gauche-dev.install: Update.
  * debian/libgauche-0.98-0.symbols: Update.  
  * debian/patches/59_make_clean.patch: New.

  [ NIIBE Yutaka ]
  * debian/patches/02_linking.patch: Refresh.
  * debian/patches/03_rm_without_xlink.patch: Refresh.
  * debian/patches/16_no_LIBS.patch: Refresh.
  * debian/patches/20_check_exit_status.patch: Refresh.
  * debian/patches/23_sh4_requires_mieee.patch: Refresh.
  * debian/patches/26_no_microversion_in_soname.patch: Refresh.
  * debian/patches/42_cflags_reproducible.patch: Refresh.
  * debian/patches/43_makedoc_gzip_best.patch: Refresh.
  * debian/patches/59_make_clean.patch: Refresh.
  * debian/patches/52_mbedtls_3_6_0.patch: Remove.
  * debian/patches/53_make_clean.patch: Remove.
  * debian/patches/54_0915-p1.patch: Remove.
  * debian/patches/55_0915-p1-generated.patch: Remove.
  * debian/control (Build-Depends): pkg-config => pkgconf.
  * debian/rules: Remove 'touch lib/srfi-0.scm'.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 06 Dec 2024 09:54:47 +0900

gauche (0.9.15-2) unstable; urgency=medium

  * debian/patches/54_0915-p1.patch: New.
  * debian/patches/55_0915-p1-generated.patch: New.
  * debian/gauche.install: Update.
  * debian/control (Build-Depends): Require debhelper-compat = 13.
  * debian/compat: Remove.
  * debian/rules: Add 'touch lib/srfi-0.scm' for generated files.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 27 Nov 2024 10:51:03 +0900

gauche (0.9.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/48_verbose_dup_output.diff: Remove.
  * debian/patches/49_parallel_gc.diff: Remove.
  * debian/patches/50_extended_pair_alignment.patch: Remove.
  * debian/patches/51_signed_overflow.patch: Remove.
  * debian/patches/52_mbedtls_3_6_0.patch: cherry pick 4a0e889934
    Thanks to Andrea Pappacoda for pointing this out.
    (Closes: #1075825)
  * debian/patches/series: Update.
  * debian/gauche.install: Update.
  * debian/libgauche-0.98-0.symbols: Update.
  * debian/patches/53_make_clean.patch: New.
  * debian/changelog: Remove trailing whitespace.

 -- Jens Thiele <karme@karme.de>  Fri, 15 Nov 2024 08:09:09 +0100

gauche (0.9.14-5) unstable; urgency=medium

  * debian/patches/51_signed_overflow.patch: Fixed with a paren.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 04 Apr 2024 09:11:53 +0900

gauche (0.9.14-4) unstable; urgency=medium

  * LoongArch is supported in upstream: Thanks to Dandan Zhang
    (Closes: #1059556).
  * debian/patches/51_signed_overflow.patch: New.
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 03 Apr 2024 11:46:12 +0900

gauche (0.9.14-3) unstable; urgency=medium

  * debian/patches/50_extended_pair_alignment.patch: New
  (Closes: #1068205).
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Require newer dpkg-dev.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 02 Apr 2024 15:02:58 +0900

gauche (0.9.14-2) unstable; urgency=medium

  * debian/control: make gauche-dev depend on libmbedtls-dev

 -- Jens Thiele <karme@karme.de>  Thu, 28 Mar 2024 15:42:59 +0100

gauche (0.9.14-1) unstable; urgency=medium

  * New upstream release 0.9.14.
  * debian/patches/series:
    remove 44_endian_not_asm_byteorder_h.patch
    remove 30_link_pthread.patch
    remove 40_tls_test_localhost.patch
  * debian/gauche.install: update
  * debian/gauche-dev.install: update
  * debian/libgauche-0.98-0.symbols: update
  * debian/patches/49_parallel_gc.diff: cherry pick 89d270ce5

 -- Jens Thiele <karme@karme.de>  Thu, 28 Mar 2024 14:54:35 +0100

gauche (0.9.13-2) unstable; urgency=medium

  * debian/patches/48_verbose_dup_output.diff: Added.

 -- Jens Thiele <karme@karme.de>  Tue, 14 Nov 2023 17:08:04 +0100

gauche (0.9.13-1) unstable; urgency=medium

  * New upstream release. (Closes: #1023035)
  * debian/control (Package): Rename libgauche-0.97-0 to libgauche-0.98-0,
    following the soname change of upstream.
  * debian/patches/46_ctermid.patch: Remove as upstream fixed it.
  * debian/patches/34_alpha_stackbottom.patch: Disabled for now as it
    resulted in a segmentation fault.
  * debian/patches/42_hppa_libatomic_ops.patch: Remove as no longer needed.
  * debian/patches/43_makedoc_gzip_best.patch: Update.
  * debian/patches/39_net_test.patch: Update.
  * debian/patches/47_ctermid_c.patch: Remove as upstream fixed it.
  * debian/patches/15_ext_termios.patch: Disable for now, must be merged.
  * debian/*install: Update.
  * debian/libgauche-0.98-0.symbols: Rename from libgauche-0.97-0.symbols.
  * debian/libgauche-0.98-0.install: Rename from libgauche-0.97-0.install.

 -- Jens Thiele <karme@karme.de>  Mon, 06 Nov 2023 08:23:53 +0100
