=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://practical-scheme.net/vault/Gauche-(\d[\d\.]*)\.tgz debian uupdate
